This MindTouch Deki has expired; please contact your system administrator. Visit MindTouch.com for activation information.
Project:Amanda Enterprise 3.3 > Amanda Enterprise Edition 3.3.9 Release Notes

Amanda Enterprise Edition 3.3.9 Release Notes

Table of contents
      1. 1.1.1. Upgrading from Amanda Enterprise 3.3.x
  1. 2. You can run the installer to upgrade from earlier versions of Amanda Enterprise 3.3.x. Please make sure you preserve configuration and data if you decide to uninstall earlier version of Amanda Enteprise 3.3.x and install Amanda Enterprise 3.3.9 If you are backing up VMware using Amanda Enterprise VMware agent, you should upgrade VDDK libraries to 5.1.1 version (if you have not already done so). VDDK 5.1.1 can be obtained from Zmanda Network. If you are running Amanda Enterprise server in DR (disaster recovery) configuration, please contact Zmanda Support for DR changes before upgrading Amanda Enterprise Server to 3.3.9.
      1. 2.1.1. Upgrading Amanda Enterprise 3.1.5 server to 3.3.9
  2. 3. It is not possible to automatically upgrade configurations from Amanda Enterprise 3.1.5 to Amanda Enterprise 3.3.9. You will have to create backup sets in 3.3.9 similar to 3.1.5. Since there are significant changes in device configurations, backup set and device configuration have to be created manually. Zmanda provides a migration tool to migrate all client configurations (ZMC Backup What configuration) from 3.1.5 backup set to a 3.3.9 backup set. See KB article http://kb.zmanda.com/article.php?id=638 for the migration tool. The backup images will be created using Amanda Enterprise 3.1.5 are recoverable using Amanda commands.
      1. 3.1.1. Upgrading Amanda Enterprise Linux/Mac OS X/Solaris Clients to 3.3.9
  3. 4. Do NOT use package upgrade option to upgrade to 3.3.9  Uninstall the old package and install 3.3.9 client packages. For rpm based installations, use the following commands: rpm -e <amanda enterprise client extension package> rpm -e <amanda enterprise client package> rpm -i amanda_enterprise-backup_client-3.3.9-1.* rpm -i amanda_enterprise-extensions-client-3.3.9-1* For debian/ubuntu installations, use the following commands: dpkg --remove <amanda enterprise client extension package> dpkg --remove <amanda enterprise client package> dpkg --install amanda-enterprise-backup-client_3.3.9* dpkg --install amanda-enterprise-extensions-client_3.3.9* On MacOS X, Install the package by double clicking on the disk image (.dmg) for the client and extensions packages.
      1. 4.1.1. Upgrading Amanda Enterprise Windows Client to 3.3.9
  4. 5.  
      1. 5.1.1. Changes in 3.3.9
      2. 5.1.2. Documentation
  5. 6. For a full list of supported platforms please review the compatibility guide here. Amanda Enterprise 3.3 documentation provides detailed information on how to install and configure Amanda server and client on these platforms.  
      1. 6.1.1. Known Issues 

Amanda Enterprise 3.3 Manuals 

Amanda Enterprise 3.3.9 provides new functionality and fixes issues reported by Amanda Enterprise customers.

Zmanda Windows Client, Linux/Solaris/Mac clients 3.3.9 are available along with 3.3.9 server release.

Upgrading from Amanda Enterprise 3.3.x

You can run the installer to upgrade from earlier versions of Amanda Enterprise 3.3.x. Please make sure you preserve configuration and data if you decide to uninstall earlier version of Amanda Enteprise 3.3.x and install Amanda Enterprise 3.3.9

If you are backing up VMware using Amanda Enterprise VMware agent, you should upgrade VDDK libraries to 5.1.1 version (if you have not already done so). VDDK 5.1.1 can be obtained from Zmanda Network.

If you are running Amanda Enterprise server in DR (disaster recovery) configuration, please contact Zmanda Support for DR changes before upgrading Amanda Enterprise Server to 3.3.9.

Upgrading Amanda Enterprise 3.1.5 server to 3.3.9

  • It is not possible to automatically upgrade configurations from Amanda Enterprise 3.1.5 to Amanda Enterprise 3.3.9. You will have to create backup sets in 3.3.9 similar to 3.1.5. Since there are significant changes in device configurations, backup set and device configuration have to be created manually. Zmanda provides a migration tool to migrate all client configurations (ZMC Backup What configuration) from 3.1.5 backup set to a 3.3.9 backup set. See KB article http://kb.zmanda.com/article.php?id=638 for the migration tool.
  • The backup images will be created using Amanda Enterprise 3.1.5 are recoverable using Amanda commands.

Upgrading Amanda Enterprise Linux/Mac OS X/Solaris Clients to 3.3.9

  • Do NOT use package upgrade option to upgrade to 3.3.9  Uninstall the old package and install 3.3.9 client packages.
  • For rpm based installations, use the following commands:
    • rpm -e <amanda enterprise client extension package>
    • rpm -e <amanda enterprise client package>
    • rpm -i amanda_enterprise-backup_client-3.3.9-1.*
    • rpm -i amanda_enterprise-extensions-client-3.3.9-1*
  • For debian/ubuntu installations, use the following commands:
    • dpkg --remove <amanda enterprise client extension package>
    • dpkg --remove <amanda enterprise client package>
    • dpkg --install amanda-enterprise-backup-client_3.3.9*
    • dpkg --install amanda-enterprise-extensions-client_3.3.9*
  • On MacOS X,
    • Install the package by double clicking on the disk image (.dmg) for the client and extensions packages.

Upgrading Amanda Enterprise Windows Client to 3.3.9

 

Run the Zmanda Windows Client installer. It will detect the earlier version and provide an option to upgrade to 3.3.9. Follow the steps in the installer to install the client.

     

Changes in 3.3.9

  • Amanda Enterprise server and client support for newer versions of Windows, Ubuntu, Debian, RHEL and Fedora distributions. See Supported Platform matrix for list of distributions supported.
  • Better handling of disk unavailability when backup starts.
  • Support for cloud backup using http proxies.
  • Issues with parallel backup streams from a Windows machine has been resolved.

Documentation

For a full list of supported platforms please review the compatibility guide here.

Amanda Enterprise 3.3 documentation provides detailed information on how to install and configure Amanda server and client on these platforms.

 

Known Issues 

  • Amanda Enterprise backup server 3.3.9 does not support single tape drive without a changer. Please use Amanda Enterprise 3.1.5 for these configurations.

  • Hyper-V discovery in ZMC Backup What page displays virtual disks. But, virtual disks cannot be backed up individually as an backup object. Complete virtual machine has to be backed up. 

  • After upgrading Zmanda Windows Client (ZWC) from version 3.3.7 or earlier on a client host, a full backup of all Windows client objects on that host is required.

Powered by MindTouch Deki v.8.08.2